Esri recently released ArcGIS 10.4, which includes stability enhancements and improved functionality. While we are pleased to announce that the latest versions of Geocortex Essentials (4.4.3) and Geocortex Viewer for HTML5 (2.5.2) have been tested and are compatible with ArcGIS 10.4, we have recently discovered that there are issues with ArcGIS for Server 10.4 and Geocortex Viewer for Silverlight 2.5 compatibility.

It appears that the issue relates to an inability for Geocortex Viewer for Silverlight 2.5 customers to load dynamic map services when using ArcGIS for Server 10.4. We are working with Esri’s Silverlight team to determine a path to resolution. We have not yet tested previous versions of Geocortex Viewer for Silverlight, but are making a conservative assumption that the same issue persists across all versions.

At this time, we are recommending that customers with applications built using Geocortex Viewer for Silverlight refrain from upgrading to ArcGIS 10.4 until we have more information and are able to offer a solution.

Again, Geocortex Essentials and Geocortex Viewer for HTML5 are working as expected with Esri’s latest release. We will reach out to our customers again with more information as soon as it is available.